on qgis master (2.3) 1-band raster rendering in grayscale with contrast enhancement is semi-broken
Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18213

Description

In qgis master (2.3),  1-band raster rendering in grayscale with contrast enhancement produces visual artifacts all over the place. See

attached screenshots comparing proper rendering (under 2.2) and broken rendering (under 2.3).

Steps to reproduce:

1. Load the attached tatam.tif raster

2. If your default setting enables contrast enhancement, you should already see artifacts, otherwise continue with the remaining steps

3. Open the layer property window, and go to the style tab

4. Make sure the settings are as follow:

 -- Rendering type: singleband gray

 -- Color gradient: black to white

 -- Min: 65.7422

 -- Max: 222.129

 -- Contrast enhancement: Stretch to MinMax

5. Apply those settings to make the artifacts appear

6. You can disable/enable the contrast enhancement to see the proper vs broken rendering

This must be caused by the multi-threading rendering, can't see anything else between 2.2 and 2.3 that could cause this.

Associated revisions

Revision 71a799f0 - 2014-02-25 10:03 AM - Martin Dobias

Fix #9641 (broken contrast enhancement)

History

#1 - 2014-02-24 06:11 PM - Nathan Woodrow

- Tag set to MTR

#2 - 2014-02-25 01:03 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"71a799f0c19994444f1e05e7b49bae378f215a70".
